• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

WebSphere 3.5 and DB2 UDB 8

 
Dana Hanna
Ranch Hand
Posts: 227
  • Likes 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
We currently use WebSphere 3.5 on NT and it's internally backed DB2 UDB 6.2 database engine (WAS).
This WebSphere application server also has 4 datasources defined which are other DB2 6.2 Databases throughout the company.
We are slowly migrating all datasources to DB2 8, and I need to know if WebSphere 3.5 can connect to both at the same time (1 datasource is 8, 3 others are 6.2).
How do I proceed? Won't installing the DB2 8 client on the WebSphere box cause problems?
I've tried using DB2 8's Type 4 driver but recieve the following stack trace:
 
Howard Kushner
author
Ranch Hand
Posts: 361
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello Dana,
I am curious as to why you are staying so current with your DB2, while staying in the stone age with WebSphere. I would say that you are way overdue for an upgrade.
It has been years since I have worked with version 3.5, and I tend to avoid it like the plague since it is not fully J2EE compliant. The vast majority of the folks I come in contact with believe that that is a very big deal.
 
Mahesh Chalil
Ranch Hand
Posts: 147
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
My best bet is wait till you move your Websphere to upgraded versions before you migrate your database alone. In databases, the main difference between older version and new version is the support for JDBC2.0. DB26.x doesnt support JDBC2 but DB2 7 onwards, it does.
 
Dana Hanna
Ranch Hand
Posts: 227
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
So what would the best migration approach be? I have 4 DB2 databases, and 5 applications (some using 2 databases)... I can't possibly upgrade all apps and databases simultaneously.
Databases:
1 ,2 ,3 ,4
Apps and required databases:
App A - 1,2,3,4
App B - 4
App C - 1
App D - 1,3
App E - 1,2
Obviously it's all a little too tightly coupled, and an architecture change should be evaluated as well.
It turns out that the issue is that a DB2 client cannot connect to a server version +/- 2 versions away. So upgrading from 6-8 is too much. What do you all think about putting the version 7 client on the server, and upgrading each database one at a time until they are all done, then putting the db2 8 client (or 9 at that point ) on the server?
Anyone had experience with this?
When should I do the Websphere migration during (or after) this?
What is Websphere 5.0 compatibility with DB2 version past; Can I use DB2 version 7 client to connect to a 6.1 database with Websphere 5?
Thanks all!
 
Kyle Brown
author
Ranch Hand
Posts: 3892
5
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
The recommended migration path is to set up a SEPARATE set of machines running DB2 8 and WAS 5.0. Then you will find you can run both the WAS 3.5 plugin and the WAS 5.0 plugin on the same HTTP Server. So, you slowly move one application at a time to the new machine by removing the plugin entries from the WAS 3.5 plugin files and adding them to the WAS 5.0 plugin files.
Kyle
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic